<?php
function ConFecact() 
{ 
	$dbcfa = mysqli_connect("35.225.233.105:3306", "root", "O7I=)O%IwT]o","intralog_impo") or die ("no se conecto a intralog_impo") ;
	return $dbcfa; 
} 
$lfecact=ConFecact();

$qTime = mysqli_query($lfecact,"select time_configuration from configuracion");
$rqTime = mysqli_fetch_array($qTime);
$zona = $rqTime["time_configuration"];
date_default_timezone_set('America/'.$zona); //Mexico_City
//date_default_timezone_set('America/Mexico_City');
require_once("comun/conexion3.php");
require_once("comun/conex_ver.php");
require_once("comun/actions.php");//
require_once("comun/funciones.php");

$action = new actions();
$link_impo=con_impo();
 
$link =con_ver();

function valorate($valor){
	$valor = trim(str_replace("'","\'",strtoupper($valor)));
	return $valor;
}

//&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
//&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&& REGISTRO DE """MBL""" LZ ADDED 14.6.2013 &&&&&&&&&&&&&&&&&&&&&&&&&&
//&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
$txtbooking= valorate($_POST['booking']); //booking interteam

//OBTENGO EL ID DEL BOOKING (ITVER)
$txtidbooking= qry_($link_impo,'booking_interteam = "'.$txtbooking.'"','bookingexpint','booking'); //itver

if($txtidbooking=='') $txtidbooking=$txtbooking;

//$txtpedimento_no= valorate($_POST['pedimento_no']);
$fotos= ($_POST['fotos']);

$txtcomentarios= valorate($_POST['comentarios']);
$correcciones= valorate($_POST['correcciones']);
$registrado_por = $_POST['registrado_por'];
$status_cambiado = $_POST['status_cambiado'];
$status = $_POST['status'];
$tipo_bl = $_POST['tipo_bl'];

$tarja=valorate($_POST['tarja']);
$tratamiento_madera=valorate($_POST['tratamiento_madera']);
/*if(strlen(trim($tarja))>=6 and $status!='OK'){
$status_cambiado='OK';	
}*/

$txtreferencia= valorate($_POST['referencia']);
$txtshipper_file= valorate($_POST['shipper_file']);
   
$txtconsignee1=valorate($_POST['consignee1']);
$txtconsignee2= valorate($_POST['consignee2']);
$txtconsignee3=valorate($_POST['consignee3']);
$txtconsignee4 = valorate($_POST['consignee4']);
$txtconsignee5 = valorate($_POST['consignee5']);
$txtconsignee6 = valorate($_POST['consignee6']);
$txtconsignee7 = valorate($_POST['consignee7']);
$txtconsignee8 = valorate($_POST['consignee8']);
$txtconsignee9 = valorate($_POST['consignee9']);

$txtnotify1=valorate($_POST['notify1']);
$txtnotify2= valorate($_POST['notify2']);
$txtnotify3=valorate($_POST['notify3']);
$txtnotify4 = valorate($_POST['notify4']);
$txtnotify5 = valorate($_POST['notify5']);
$txtnotify6 = valorate($_POST['notify6']);
$txtnotify7 = valorate($_POST['notify7']);
$txtnotify8 = valorate($_POST['notify8']);
$txtnotify9 = valorate($_POST['notify9']);

$txtshipper1=valorate($_POST['shipper1']);
$txtshipper2= valorate($_POST['shipper2']);
$txtshipper3=valorate($_POST['shipper3']);
$txtshipper4 = valorate($_POST['shipper4']);
$txtshipper5 = valorate($_POST['shipper5']);
$txtshipper6 = valorate($_POST['shipper6']);
$txtshipper7 = valorate($_POST['shipper7']);
$txtshipper8 = valorate($_POST['shipper8']);
$txtshipper9 = valorate($_POST['shipper9']);

$txtmarks=valorate($_POST['marks']);
$txtquantity= valorate($_POST['quantity']);
$txttype_of_bulks= valorate($_POST['type_of_bulks']);

$txtdescription=valorate($_POST['description']);
$txtno_piezas = valorate($_POST['no_piezas']);
$txtgross_weight = valorate($_POST['gross_weight']);
//$txtnet_weight = valorate($_POST['net_weight']);

$txtvolume=valorate($_POST['volume']);
$txtharmonized_code= valorate($_POST['harmonized_code']);


$fecha_recepcion=valorate($_POST['fecha_recepcion']);
$hora= valorate($_POST['hora']);
$minutos= valorate($_POST['minutos']);
$tarja_recepcion=valorate($_POST['tarja_recepcion']);
$pedimento = valorate($_POST['pedimento']);
$tarja_averia = valorate($_POST['tarja_averia']);
$imo = valorate($_POST['imo']);
$posicion_almacen = valorate($_POST['posicion_almacen']);

$no_piezasimoh= valorate($_POST['no_piezasimom']);
$gross_weightimoh= valorate($_POST['gross_weightimom']);
$volumeimoh= valorate($_POST['volumeimom']);
$unimoh= valorate($_POST['unimom']);
$valimoh= valorate($_POST['imo']);


$bultos_averiados = valorate($_POST['bultos_averiados']);
$tipo_averia = valorate($_POST['tipo_averia']);
//$txtams=valorate($_POST['ams']);

//$tarja=valorate($_POST['tarja']);

//&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
//&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&& END O LZ ADDED 14.6.2013 &&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
//&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&

$idHblexpint_actualizaciones= valorate($_POST['idHblexpint_actualizaciones']);
$idActualizacionEsi= valorate($_POST['idActualizacionEsi']);

$txtfiles = qry_($link_impo,' booking = "'.$txtidbooking.'" ','bookingexpint','files');
// OBTENGO EL HBL DEL BOOKING

$txthbl = hbl_($link_impo,$txtidbooking);
 
//&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
//&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&REGISTRO DE MBL&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
//&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&

$boundary = "-----=" . md5( uniqid ( rand() ) ); 
$mailheader= "MIME-Version: 1.0\n"; 
$mailheader.= "Content-Type: multipart/alternative; boundary=\"$boundary\""; 
$mailheader.= "nX-Sender: lpa.doc@lpalt.com \nFrom: lpa.doc@lpalt.com \nReply-To: lpa.doc@lpalt.com \nX-MSMail-Priority: High \nContent-type: text/html" ;

$recibe='lpa.doc@lpalt.com';  
 
$recibe.=(trim($registrado_por)!='' ? ','.strtolower($registrado_por) : '');

$id_mbl = $_GET[id];
 
if($id_mbl!='' and $id_mbl!='0'){ 
	/////////// 3.11.2015 ////////////////////////
if(trim($fecha_recepcion)!='' and trim($fecha_recepcion)!='0000-00-00' and strpos($fecha_recepcion,'<FONT')===false){
 
$Q20=mysqli_query($link_impo,"select status20 from bookingexpint where  booking_interteam='$txtbooking'");
$rQ20=mysqli_fetch_array($Q20);
	mysqli_query($link_impo,"update bookingexpint set eta_port='$fecha_recepcion' where booking_interteam='$txtbooking'");

if($rQ20[0]*1==0 and mysqli_num_rows($Q20)>0){
	$action->alert('Por favor espere. Envio status 20 WWA: Received in Warehouse '.$txtbooking);
	file_get_contents("https://intralogs.com.mx/INT/exportaciones/master/pd/je/.milestone_20.1.php?booking_interteam=$txtbooking");
}
 
}
/////////// end o 3.11.2015 ////////////
 
	mysqli_query($link ,"update hblexpint set fecha_recepcion='$fecha_recepcion',hora_registro_ingreso='$hora:$minutos'
				where idhbl='".$id_mbl."' ");
	mysqli_query($link ,"update hblexpint set shipper='$txtshipper1', shipper2='$txtshipper2', shipper3='$txtshipper3',shipper4='$txtshipper4',
				shipper5='$txtshipper5',shipper6='$txtshipper6',consignee='$txtconsignee1',consignee2='$txtconsignee2', 
				consignee3='$txtconsignee3',consignee4='$txtconsignee4', consignee5='$txtconsignee5', consignee6='$txtconsignee6', 
			    notify='$txtnotify1',notify2='$txtnotify2', notify3='$txtnotify3', notify4='$txtnotify4', notify5='$txtnotify5', 
				notify6 = '$txtnotify6',shipper_file = '$txtshipper_file',
				tarja = '$tarja',comentarios='$txtcomentarios',booking='$txtbooking',referencia = '$txtreferencia',
				registrado_por='".$_POST[registrado_por]."',
				 
				imo='$imo',
				tarja_recepcion='$tarja_recepcion',
				tarja_averia='$tarja_averia',
				posicion_almacen='$posicion_almacen',tipo='$tipo_bl',fotos='$fotos',
				bultos_averiados='$bultos_averiados',tipo_averia='$tipo_averia' ".
				($idHblexpint_actualizaciones!='' ? ",actualizacion_esi= 'ACTUALIZADO VIA ESI EN '".date("Y-m-d H:i:s")."' " : '')."
				, PhoneCN = '$txtconsignee7', FaxCN = '$txtconsignee8', EmailCN = '$txtconsignee9', PhoneN1 = '$txtnotify7', FaxN1 = '$txtnotify8', EmailN1 = '$txtnotify9', PhoneSH = '$txtshipper7', FaxSH = '$txtshipper8', EmailSH = '$txtshipper9' 
				where idhbl='".$id_mbl."' ");
		
				if($idActualizacionEsi!=''){
				 mysqli_query($link ,"update detailcargaexpint set 
				 idActualizacionEsi= 'CARGO ACTUALIZADO VIA ESI EN '".date("Y-m-d H:i:s")."' where id_bl = '".$id_mbl."'  ");
				}
		if($idHblexpint_actualizaciones!=''){
	 
			mysqli_query($link_impo ,"update hblexpint_actualizaciones set actualizar_esi='1' where id='".$idHblexpint_actualizaciones."' ");
			mysqli_query($link_impo ,"update detailcargaexpint_n set update_edi_status='utilizado' where id='".$idActualizacionEsi."' ");
		 
		}
		
			mysqli_query($link ,"update hblexpint set pedimento='$pedimento' where idhbl='".$id_mbl."' ");
			if(mysqli_affected_rows() and trim($pedimento)!='') {
					mysqli_query($link ,"update hblexpint set fecha_pedimento='".date("Y-m-d H:i:s")."' where idhbl='".$id_mbl."' ");
			}
			
					
	 		if($status_cambiado=='FUERA DE TIEMPO'){
			mysqli_query($link ,"update hblexpint set revision = '".$_GET[email]."',fecha_revision='".date("Y-m-d H:i:s")."',status = 'FUERA DE TIEMPO' where idhbl='".$id_mbl."' ");
    }
	if($status_cambiado=='OK'){
	 ;
		$revi = data($link ,"select revision from hblexpint where idhbl='".$id_mbl."' ");
	 
			mysqli_query($link ,"update hblexpint set revision = '".$_GET[email]."',fecha_revision='".date("Y-m-d H:i:s")."',status = 'OK' where idhbl='".$id_mbl."' ");
	 
    }
	
	if($status_cambiado=='REVISION PENDIENTE' or $status_cambiado=='REVISANDO' ){
	 mysqli_query($link ,"update hblexpint set revision = '".$_GET[email]."',fecha_revision='0000-00-00 00:00:00',status='REVISANDO' where idhbl='".$id_mbl."' ");
    }
	
	 
	if($status_cambiado!='NUEVO'){
	 mysqli_query($link ,"update hblexpint set fecha_revision='".date("Y-m-d H:i:s")."',status='".$status_cambiado."' where idhbl='".$id_mbl."' ");
    }
	if($status_cambiado=='NUEVO'){
	 mysqli_query($link ,"update hblexpint set fecha_revision='0000-00-00 00:00:00',status='NUEVO' where idhbl='".$id_mbl."' ");
    }
	
	if($_GET[email]!=''){
			mysqli_query($link ,"update hblexpint set revision = '".$_GET[email]."' where idhbl='".$id_mbl."' ");
	 
    }
	if($tipo_bl=='MBL'){
		$descarga='
				<u>**AVISO IMPORTANTE PARA AGENCIAS  ADUANALES**</u><BR><BR>

Ahora puede consultar: NUMERO / TIPO / CAPACIDAD de CONTENEDOR Y  BANDERA DE BUQUE.<BR>
Ingresando su numero de booking en el portal: <a href="https://intralogs.com.mx/ATM/agenteaduanal/login.php">https://intralogs.com.mx/ATM/agenteaduanal/login.php</a> <BR>                                                       
**A partir de la fecha de cierre de documentos indicada para su embarque**. <BR><BR>

		DESCARGUE SU BL EN: <a href="https://intralogs.com.mx/ATM/pdf/mbl.php?booking='.base64_encode($txtbooking).'=&idhbl='.base64_encode($id_mbl).'">https://intralogs.com.mx/ATM/pdf/mbl.php?booking='.base64_encode($txtbooking).'=&idhbl='.base64_encode($id_mbl).'</a><br><br>';
	}else{
		$descarga='
				<u>**AVISO IMPORTANTE PARA AGENCIAS  ADUANALES**</u><BR><BR>

Ahora puede consultar: NUMERO / TIPO / CAPACIDAD de CONTENEDOR Y  BANDERA DE BUQUE.<BR>
Ingresando su numero de booking en el portal: <a href="https://intralogs.com.mx/ATM/agenteaduanal/login.php">https://intralogs.com.mx/ATM/agenteaduanal/login.php</a> <BR>                                                       
**A partir de la fecha de cierre de documentos indicada para su embarque**. <BR><BR>

		DESCARGUE SU BL EN: <a href="https://intralogs.com.mx/ATM/pdf/hbl.php?booking='.base64_encode($txtbooking).'=&idhbl='.base64_encode($id_mbl).'">https://intralogs.com.mx/ATM/pdf/hbl.php?booking='.base64_encode($txtbooking).'=&idhbl='.base64_encode($id_mbl).'</a><br><br>';
	}
	
		if($status_cambiado=='OK' and ($status=='REVISION PENDIENTE' or $status=='REVISANDO' or $status == 'FUERA DE TIEMPO')){
	$subject='*** OK *** '.$txtbooking;
						$mailtext ='<span style="font-family:Verdana, Geneva, sans-serif">GRACIAS, <B>'.$tipo_bl.' DE ID '.$id_mbl.' BOOKING '.$txtbooking.'</B> *** REVISION OK ***  <br><br>'.
						
						$descarga.'
						
						LOGISTICA PORTUARIA DE ALTAMIRA, S.A. DE C.V.</SPAN>';
			
						mail($recibe,$subject,$mailtext,$mailheader); 
	}
	
	
	if($_POST[status_cambiado]=='FUERA DE TIEMPO' and ($status=='REVISION PENDIENTE' or $status=='REVISANDO' or $status == 'OK')){
	$subject='*** FUERA DE TIEMPO *** '.$txtbooking;
						$mailtext ='<span style="font-family:Verdana, Geneva, sans-serif">*** FUERA DE TIEMPO ***, <B>'.$tipo_bl.' DE ID '.$id_mbl.' BOOKING '.$txtbooking.'</B> EL BL NO SE DOCUMENTARA <br><br>
						
						LOGISTICA PORTUARIA DE ALTAMIRA, S.A. DE C.V.</SPAN>';
			
						 
						mail($recibe,$subject,$mailtext,$mailheader); ;
	}
	
 
 			    mysqli_query($link ,"update detailcargaexpint set 
				`bulk` = '$txtquantity', `type_of_bulks` = '$txttype_of_bulks',`number_of_pieces` = '$txtno_piezas', `cargo` = '$txtdescription', 
				`weight` = '$txtgross_weight',
				imo='$imo',`measurement` = '$txtvolume', `markandnos` = '$txtmarks', 
				`harmonized_code`='$txtharmonized_code',bookingno = '$txtbooking',
				correcciones='$correcciones', tipo_bl='$tipo_bl',un='$unimoh', no_piezasimoh = '$no_piezasimoh', gross_weightimoh = '$gross_weightimoh', 
				volumeimoh = '$volumeimoh', unimoh = '$unimoh', valimoh = '$valimoh'
				where id_bl = '".$id_mbl."'  ");

				if(trim($txtidbooking)=='' or trim($txtidbooking)=='0'){
					$bkg = $txtbooking;
				}else{
					$bkg = $txtidbooking;
				}
				
				mysqli_query($link ,"delete from dimensiones where id_partida = '$id_mbl'");
				//$action->alert(count($_POST[ancho]));	
				
				foreach($_POST[numero_bultos] as $value){
			    $numero_bultos[]=$value;
				}
				foreach($_POST[largo] as $value){
			    $largo[]=$value;
				}
				foreach($_POST[ancho] as $value){
			    $ancho[]=$value;
				}
				foreach($_POST[alto] as $value){
			    $alto[]=$value;
				}

				for($l=0;$l<=count($_POST[ancho]);$l++){
							 if(trim($numero_bultos[$l])!='0' and trim($numero_bultos[$l])!='' ){
									mysqli_query($link ,"insert into dimensiones (`booking`, `id_partida`, `numero_bultos`, `largo`, `ancho`, `alto`)
									values ('".$bkg."',	'".$id_mbl."','".$numero_bultos[$l]."','".$largo[$l]."',
									'".$ancho[$l]."','".$alto[$l]."')");
									
									//$action->alert($l.') '.$numero_bultos[$l].'  '.$largo[$l].' '.$ancho[$l].'  '.$alto[$l] );	
							 }
				}		
				
		
		// envio interteam si se trata de un booking de interteam
	//$action->alert($txtidbooking.'  '.$txtfiles);
	
	
	/*if($txtidbooking!='' and trim($txtfiles)!=''){
		
		con_impo();
		$action->alert('Envio interteam: '.$txtidbooking);
		
			# busco el bl de veracruz en interteam y OBTENGO EL ID DE LA PARTIDA DE ESTE BL DE VERACRUZ
			$buscar = mysqli_query("select id_bl,comentarios,id from detailcargaexpint where id_bl = '".$id_mbl."'");
			$rb=mysqli_fetch_array($buscar);
			$id_partida = $rb[id];
			
			if($id_mbl!=''){
				mysqli_query("delete from detailcargaexpint where id_bl = '".$id_mbl."'");
				mysqli_query("delete from dimensiones where id_partida = '".$id_partida."' ");
			}
			
				# si no lo encuentro lo agrego
				$a=0;
				if($_POST[status_cambiado]=='REVISION PENDIENTE'){
					if($id_mbl!=''){
							$action->alert('No se envio la partida, o esta fue removida, envie OK otra vez');
							$a=1;
					}
				}else{
						mysqli_query("insert into detailcargaexpint (files,bookingno,id_bl) values ('$txtfiles','$txtidbooking','$id_mbl')");
 				}
				
				
				# para veracruz id_partida de dimensiones es el id del bl
			   # para interteam el id_partida de dimensiones es el id de la partida de intertam
			
					$comentarios = 'Ultimo envio: '.date("Y-m-d h:i:s").' Id bl: '.$id_mbl.'\n'.$txtcomentarios;
					mysqli_query("update detailcargaexpint set 
					`bulk` = '$txtquantity', `type` = '$txttype_of_bulks',`cargo` = '$txtdescription', `weight` = '$txtgross_weight',
					`measurement` = '$txtvolume', `markandnos` = '$txtmarks', `netweight` = '$txtnet_weight',
					`harmonized_code`='$txtharmonized_code',`ams`='$txtams',
					 tarja = '$tarja',pedimento_no='$txtpedimento_no',comentarios='$comentarios',bookingno='".$txtidbooking."'
					 where id_bl = '".$id_mbl."' ");
	 
					for($k=0;$k<11;$k++){
							 if(trim($_POST[numero_bultos][$k])!='0' and trim($_POST[numero_bultos][$k])!=''){
									mysqli_query("insert into dimensiones (`booking`, `id_partida`, `numero_bultos`, `largo`, `ancho`, `alto`)
									values ('".$txtidbooking."',	'".$id_partida."','".$_POST[numero_bultos][$k]."','".$_POST[largo][$k]."',
									'".$_POST[ancho][$k]."','".$_POST[alto][$k]."')");
							 }
				 	}
	}*/ // AGREGAR BOTON O LIGA ENVIAR A INTERTEAM
			
	
}
$action->alert('BL GUARDADO');
//$action->add_js_code("document.getElementById('regresar').click()");
			$action->send_response();
			
			return;
?> 
